ppoints {base} | R Documentation

## Ordinates for Probability Plotting

### Description

Generates the sequence of “probability” points `(1:m - a)/(m + (1-a)-a)` where `m` is either `n`, if `length(n)==1`, or `length(n)`.

### Usage

    ppoints(n, a = ifelse(n <= 10, 3/8, 1/2))

### Arguments

`n` | either the number of points generate or a vector of observations.
`a` | the offset fraction to be used; typically in (0,1).

### Details

If 0 < a < 1, the resulting values are within (0,1) (excluding boundaries). In any case, the resulting sequence is symmetric in [0,1], i.e., `p + rev(p) == 1`.

`ppoints()` is used in `qqplot` and `qqnorm` to generate the set of probabilities at which to evaluate the inverse distribution.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`qqplot`, `qqnorm`.

### Examples

    ppoints(4) # the same as  ppoints(1:4)
    ppoints(10)
    ppoints(10, a=1/2)

[Package Contents]